Rebase branch
curl --request POST \
--url https://api.example.com/api/projects/{projectId}/branches/{branchId}/rebase \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"resolutions": [
{
"path": "<string>",
"content": "<unknown>",
"hash": "<string>"
}
]
}
'import requests
url = "https://api.example.com/api/projects/{projectId}/branches/{branchId}/rebase"
payload = { "resolutions": [
{
"path": "<string>",
"content": "<unknown>",
"hash": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({resolutions: [{path: '<string>', content: '<unknown>', hash: '<string>'}]})
};
fetch('https://api.example.com/api/projects/{projectId}/branches/{branchId}/rebase', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"newBaseCommitId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message": "<string>",
"newCommitId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"stats": {
"filesChanged": 123,
"conflictsResolved": 123
}
}Branches
Rebase branch
Rebases a branch onto the latest main branch commit.
POST
/
api
/
projects
/
{projectId}
/
branches
/
{branchId}
/
rebase
Rebase branch
Authorizations
personalAccessTokeninternalAuth
Personal access token is obtained through your profile
Path Parameters
Project ID
Branch ID or "main" for the default branch
Body
application/json
Conflict resolutions for rebasing
Show child attributes
Show child attributes
Response
200 - application/json
Rebase result
Was this page helpful?
⌘I